"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HTTP_CODE_MAP = exports.ENABLE_GRAPHQL_UI = exports.DS_FOLDER_PATH = exports.ENABLE_LOCAL_SERVER = exports.IS_DEV = void 0;
const path_1 = __importDefault(require("path"));
/**
 * 是否为本地开发模式
 */
exports.IS_DEV = process.env.TENCENTCLOUD_RUNENV !== 'SCF';
/** 是否需要在本地开启server */
exports.ENABLE_LOCAL_SERVER = exports.IS_DEV && process.env.LOCAL_SERVER;
/**
 * 数据源JSON文件夹路径
 */
// eslint-disable-next-line no-nested-ternary
exports.DS_FOLDER_PATH = process.env.DS_PATH
    ? path_1.default.resolve(__dirname, process.env.DS_PATH)
    : (exports.IS_DEV
        // 本地开发模式, 默认使用 ../scripts/datasources 作为路径
        ? path_1.default.join(__dirname, '../scripts/datasources')
        : path_1.default.join(process.cwd(), 'datasources'));
/**
 * 是否启用graphql playground ui
 */
exports.ENABLE_GRAPHQL_UI = exports.IS_DEV || !!process.env.GRAPHQL_UI;
/** HTTP状态码对应的错误代码 */
exports.HTTP_CODE_MAP = {
    404: { code: 'UserError.HTTP.ResourceNotFound', message: 'Resource not found' },
    405: { code: 'UserError.HTTP.MethodNotAllowed', message: '仅支持使用POST方法调用API' },
};
